+- +-
Seti is down again by Mike
09 Aug 2017, 10:02:44 am

Some considerations regarding OpenCL MultiBeam app tuning from algorithm view by Raistmer
11 Dec 2016, 06:30:56 am

Loading APU to the limit: performance considerations by Mike
05 Nov 2016, 06:49:26 am

Better sleep on Windows - new round by Raistmer
26 Aug 2016, 02:02:31 pm

MB/AP Bench Test Instruction by William
17 Jun 2016, 04:13:45 am

Author Topic: Lunatics v0.42, Cat 14.4 and AMD Hawaii GPU - CAL not supported  (Read 3768 times)

Offline M_M

  • Squire
  • *
  • Posts: 32
Please help...

27.9.2014 9:01:24 |  | Starting BOINC client version 7.2.42 for windows_x86_64
27.9.2014 9:01:24 |  | log flags: file_xfer, sched_ops, task
27.9.2014 9:01:24 |  | Libraries: libcurl/7.25.0 OpenSSL/1.0.1 zlib/1.2.6
27.9.2014 9:01:24 |  | Data directory: M:\BOINC
27.9.2014 9:01:24 |  | Running under account Korisnik
27.9.2014 9:01:24 |  | OpenCL: AMD/ATI GPU 0: Hawaii (driver version 1445.5 (VM), device version OpenCL 1.2 AMD-APP (1445.5), 3072MB, 3072MB available, 3296 GFLOPS peak)
27.9.2014 9:01:24 |  | OpenCL CPU: Intel(R) Core(TM) i7-2600K CPU @ 3.40GHz (OpenCL driver vendor: Advanced Micro Devices, Inc., driver version 1445.5 (sse2,avx), device version OpenCL 1.2 AMD-APP (1445.5))
27.9.2014 9:01:24 | SETI@home | Found app_info.xml; using anonymous platform
27.9.2014 9:01:24 |  | App version needs CAL but GPU doesn't support it


Offline Richard Haselgrove

  • Messenger Pigeon
  • Knight who says 'Ni!'
  • *****
  • Posts: 2819
Re: Lunatics v0.42, Cat 14.4 and AMD Hawaii GPU - CAL not supported
« Reply #1 on: 27 Sep 2014, 04:04:26 am »
What application are you trying to run under CAL, and where did you get it from?

As far as I know (but I'm not an AMD/ATI user), the Lunatics OpenCL applications for SETI are the right ones for a Hawaii card.

Offline Mike

  • Alpha Tester
  • Knight who says 'Ni!'
  • ***
  • Posts: 2424
Re: Lunatics v0.42, Cat 14.4 and AMD Hawaii GPU - CAL not supported
« Reply #2 on: 27 Sep 2014, 05:30:35 am »

Use OpenCL apps.
I suggest the Lunatics installer for your GPU.

Offline M_M

  • Squire
  • *
  • Posts: 32
Re: Lunatics v0.42, Cat 14.4 and AMD Hawaii GPU - CAL not supported
« Reply #3 on: 27 Sep 2014, 12:42:04 pm »
I tried to run SETI and used latest Lunatics v0.42

Offline Mike

  • Alpha Tester
  • Knight who says 'Ni!'
  • ***
  • Posts: 2424
Re: Lunatics v0.42, Cat 14.4 and AMD Hawaii GPU - CAL not supported
« Reply #4 on: 28 Sep 2014, 06:03:00 am »
I tried to run SETI and used latest Lunatics v0.42

Which apps did you choose.
OpenCL apps dont need CAL.

Offline M_M

  • Squire
  • *
  • Posts: 32
Re: Lunatics v0.42, Cat 14.4 and AMD Hawaii GPU - CAL not supported
« Reply #5 on: 28 Sep 2014, 03:14:22 pm »
I reinstalled boinc and the project, and I still get the warrning below, but all apps seems to be running OK... strange

For GPU, following apps are selected in app_info.xml (generated by v0.42 installer):
AP6_win_x86_SSE2_OpenCL_ATI_r2399.exe (libfftw3f-3-3-4_x86.dll)
MB7_win_x86_SSE_OpenCL_ATi_HD5_r2489.exe (libfftw3f-3.dll)


28.9.2014 20:45:16 |  | Starting BOINC client version 7.2.42 for windows_x86_64
28.9.2014 20:45:16 |  | log flags: file_xfer, sched_ops, task
28.9.2014 20:45:16 |  | Libraries: libcurl/7.25.0 OpenSSL/1.0.1 zlib/1.2.6
28.9.2014 20:45:16 |  | Data directory: M:\BOINC
28.9.2014 20:45:16 |  | Running under account Korisnik
28.9.2014 20:45:16 |  | OpenCL: AMD/ATI GPU 0: Hawaii (driver version 1445.5 (VM), device version OpenCL 1.2 AMD-APP (1445.5), 3072MB, 3072MB available, 3296 GFLOPS peak)
28.9.2014 20:45:16 |  | OpenCL CPU: Intel(R) Core(TM) i7-2600K CPU @ 3.40GHz (OpenCL driver vendor: Advanced Micro Devices, Inc., driver version 1445.5 (sse2,avx), device version OpenCL 1.2 AMD-APP (1445.5))
28.9.2014 20:45:16 | SETI@home | Found app_info.xml; using anonymous platform
28.9.2014 20:45:16 |  | App version needs CAL but GPU doesn't support it
28.9.2014 20:45:16 |  | App version needs CAL but GPU doesn't support it
28.9.2014 20:45:16 |  | App version needs CAL but GPU doesn't support it
28.9.2014 20:45:16 |  | App version needs CAL but GPU doesn't support it
28.9.2014 20:45:16 |  | Host name: Korisnik-PC
28.9.2014 20:45:16 |  | Processor: 8 GenuineIntel        Intel(R) Core(TM) i7-2600K CPU @ 3.40GHz [Family 6 Model 42 Stepping 7]
28.9.2014 20:45:16 |  | Processor features: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss htt tm pni ssse3 cx16 sse4_1 sse4_2 popcnt aes syscall nx lm vmx tm2 pbe
28.9.2014 20:45:16 |  | OS: Microsoft Windows 7: Home Premium x64 Edition, Service Pack 1, (06.01.7601.00)
28.9.2014 20:45:16 |  | Memory: 7.97 GB physical, 7.97 GB virtual
28.9.2014 20:45:16 |  | Disk: 931.51 GB total, 140.91 GB free

Offline Richard Haselgrove

  • Messenger Pigeon
  • Knight who says 'Ni!'
  • *****
  • Posts: 2819
Re: Lunatics v0.42, Cat 14.4 and AMD Hawaii GPU - CAL not supported
« Reply #6 on: 30 Sep 2014, 02:31:12 am »
The installer deploys just one application for each of the two selections you have made, but it places multiple app_version descriptions of the same two apps into app_info.xml

The app_version descriptions include some designed for older versions of BOINC, which don't support OpenCL at all. We 'fake' the description as if it was a CAL application, so those older BOINCs still know how to fetch ATI work and can run it.

I suspect the warnings are coming from those faked descriptions, which don't apply and aren't strictly needed in your case. But it's easiest to provide the broadest compatibility by supplying a comprehensive set of descriptions, and if your BOINC has found one it can use, I'd say let it run without worrying about it any more.

 

Welcome, Guest.
Please login or register.
 
 
 
Forgot your password?
Members
Total Members: 97
Latest: ToeBee
New This Month: 0
New This Week: 0
New Today: 0
Stats
Total Posts: 59551
Total Topics: 1671
Most Online Today: 22
Most Online Ever: 402
(15 Nov 2018, 02:33:34 pm)
Users Online
Members: 0
Guests: 13
Total: 13
Powered by EzPortal